# $Revision: 1.8 $, $Date: 2009/06/24 06:54:05 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTML
%define	pnam	BBCode
Summary:	HTML::BBCode - Perl extension for converting BBcode to HTML
Summary(pl.UTF-8):	HTML::BBcode - rozszerzenie Perla do konwersji kodu BBcode na HTML
Name:		perl-HTML-BBCode
Version:	2.06
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	03a3d80848402bb82bdd8fb443a718e8
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(HTML::StripScripts) >= 1.04
BuildRequires:	perl(HTML::StripScripts::Parser)
BuildRequires:	perl-URI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::BBCode converts BBCode - as used on the phpBB bulletin boards -
to it's HTML equivalent.

%description -l pl.UTF-8
HTML::BBCode konwertuje BBCode - używany w forach phpBB - na
odpowiedniki HTML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/HTML
%dir %{perl_vendorlib}/HTML/BBCode
%{perl_vendorlib}/HTML/BBCode.pm
%{perl_vendorlib}/HTML/BBCode/StripScripts.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-BBCode.spec,v $
Revision 1.8  2009/06/24 06:54:05  amateja
- updated to 2.06

Revision 1.7  2008/07/27 22:36:18  arekm
- release 2

Revision 1.6  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.4  2006/06/22 12:59:10  maciek2w
- updated to 1.05

Revision 1.3  2005/11/18 08:22:04  czucz
- updated to 1.04

Revision 1.2  2005/05/31 15:06:07  petec
- up to 1.01

Revision 1.1  2005/01/10 13:33:54  adamg
- new

